Blog
Alert icon

Alert: Citrix NetScaler Vulnerability

ALERT December 17, 2019 – A vulnerability  has been identified in Citrix Netscalers version 10.5 through the most recent version 13.0. You can learn more about the vulnerability and how to mitigate it on the Citrix website. Citrix is strongly recommending that affected customers immediately apply the mitigation provided on their website (link above) until […]